require 'httparty'
class AlerteRouge
  
  @key = nil
  @pass = nil
  
  @server_url = 'http://www.alerte-rouge.fr/api/events'
  
  @hostname = Socket.gethostname
  
  def self.key=(key)
    @key = key
  end
  
  def self.pass=(pass)
    @pass = pass
  end

  
  def self.report(uid, message, is_error = false, force_notify_now = false)
    begin
      r = HTTParty.post(@server_url, 
                        :body => {p: @pass, 
                                  k: @key, 
                                  uid: uid, 
                                  description: message,
                                  is_error: is_error,
                                  hostname: @hostname,
                                  notify_now: force_notify_now} )
    rescue Exception => e
      puts "Following error happened #{e.message}\n\nBacktrace:\n#{e.backtrace.join('\n')}"
      return false
    end
    return true
  end
end